gnutls_pkcs11_token_get_url(3)

NAME
gnutls_pkcs11_token_get_url - API function

SYNOPSIS
#include <gnutls/pkcs11.h>

int gnutls_pkcs11_token_get_url(unsigned int seq, gnutls_pkcs11_url_type_t detailed, char ** url);

ARGUMENTS

unsigned int seq
    sequence number starting from 0

gnutls_pkcs11_url_type_t detailed
    non zero if a detailed URL is required

char ** url
    will contain an allocated url

DESCRIPTION
This function will return the URL for each token available in system. The url has to be released using gnutls_free()

RETURNS
On success, GNUTLS_E_SUCCESS (0) is returned, GNUTLS_E_REQUESTED_DATA_NOT_AVAILABLE if the sequence number exceeds the available tokens, otherwise a negative error value.

SINCE
2.12.0

REPORTING BUGS
Report bugs to <bugs@gnutls.org>.
Home page: http://www.gnutls.org

COPYRIGHT
Copyright © 2001-2014 Free Software Foundation, Inc..
Copying and distribution of this file, with or without modification, are permitted in any medium without royalty provided the copyright notice and this notice are preserved.

SEE ALSO
The full documentation for gnutls is maintained as a Texinfo manual. If the /usr/share/doc/gnutls/ directory does not contain the HTML form visit

http://www.gnutls.org/manual/